#!/bin/bash

case "$1" in
	start) 
		zenity --question --width="250" --title="Linkat Calibre Web" --text="Voleu iniciar el servidor web del calibre?"
		if [ $? -eq 0 ]; then
			( sudo /usr/bin/calibre-web-start  ) | zenity --progress --title="Linkat Calibre Web" --text="S'està iniciant el servidor web Calibre." --pulsate --auto-close --auto-kill --no-cancel
			zenity --info --width="250" --title="Linkat Calibre Web" --text="S'ha iniciat el servidor web Calibre."
		else
			zenity --warning --width="200" --title="Linkat Calibre Web" --text="L'acció ha estat cancel·lada."
			exit 1
		fi
                ;;
        stop)
		zenity --question --width="250" --title="Linkat Calibre Web" --text="Voleu aturar el servidor web del calibre?"
                if [ $? -eq 0 ]; then
			( sudo /usr/bin/calibre-web-stop ) | zenity --progress --title="Linkat Calibre Web" --text="S'està aturant el servidor web Calibre" --pulsate --auto-close --auto-kill --no-cancel
                        zenity --info --width="250" --title="Linkat Calibre Web" --text="S'ha aturat el servidor web Calibre."
                else    
                        zenity --warning --width="200" --title="Linkat Calibre Web" --text="L'acció ha estat cancel·lada."
                        exit 1
                fi
		;;
	update)
                zenity --question --width="300" --title="Linkat Calibre Web" --text="Voleu actualitzar el servidor web del calibre i afegir els documents que es troben a la unitat de xarxa <b>Arxius</b>?"
		if [ $? -eq 0 ]; then
			( calibre-updatedb  ) | zenity --progress --title="Linkat Calibre Web" --text="S'està actualitzant el servidor web Calibre." --pulsate --auto-close --auto-kill --no-cancel
                        zenity --info --width="250" --title="Linkat Calibre Web" --text="S'ha actualitzat el servidor web Calibre."
                else
                        zenity --warning --width="200" --title="Linkat Calibre Web" --text="L'acció ha estat cancel·lada."
                        exit 1
                fi
                ;;
	calibre)
		( sudo /usr/bin/calibre-web-stop )  | zenity --progress --title="Linkat Calibre Web" --text="S'està aturant el servei web per obrir el programa Calibre." --pulsate --auto-close --auto-kill --no-cancel
		calibre
		sudo /usr/bin/calibre-web-start
		;;
	*)      
		exit 11
esac

